// from php : adns_data
var adns_lock = false;
var adns_defaultStep = false;
var adns_steps = false;
var adns_params;
var adns_formfield;
var adns_actTimer;
var adns_currentDonation = false;
var adns_currentDonationID = 0;
var adns_imageDef;

adns_data = adns_data[0];

jQuery(document).ready(function() {
    jQuery('#adns_loader').remove();
    jQuery('#wpcontent').append('<div id="adns_loader"><div class="adns_spinner"><div class="double-bounce1"></div><div class="double-bounce2"></div></div></div>');
    jQuery('#adns_loader .adns_spinner').css({
        top: jQuery(window).height() / 2 - jQuery('#wpadminbar').height() / 2
    });
    jQuery(window).resize(function() {
        jQuery('#adns_loader .adns_spinner').css({
            top: jQuery(window).height() / 2 - jQuery('#wpadminbar').height() / 2
        });
        jQuery('#adns_bootstraped').css({
            minHeight: jQuery('#wpcontent').height()
        });
    });

    jQuery('#adns_donationsList a[data-action="adns_preview"]').on('click', function() {
        adns_openFormPreview(jQuery(this).closest('tr').attr('data-donationid'));
    });
    jQuery('#adns_donationsList a[data-action="adns_loadDonation"]').on('click', function() {
        adns_loadDonation(jQuery(this).closest('tr').attr('data-donationid'));
    });
    jQuery('#adns_donationsList a[data-action="adns_duplicateDonation"]').on('click', function() {
        adns_duplicateDonation(jQuery(this).closest('tr').attr('data-donationid'));
    });
    jQuery('#adns_donationsList a[data-action="adns_deleteDonation"]').on('click', function() {
        adns_removeDonation(jQuery(this).closest('tr').attr('data-donationid'));
    });

    jQuery('#adns_bootstraped').css({
        minHeight: jQuery('#wpcontent').height()
    });
    jQuery('#adns_bootstraped [data-toggle="switch"]').wrap('<div class="switch" data-on-label="' + adns_data.texts['yes'] + '" data-off-label="' + adns_data.texts['no'] + '" />').parent().bootstrapSwitch();

    // jQuery("#adns_bootstraped [data-toggle='switch']").bootstrapSwitch();
    jQuery('.imageBtn').click(function() {
        adns_formfield = jQuery(this).prev('input');
        tb_show('', 'media-upload.php?TB_iframe=true');
        return false;
    });
    window.old_tb_remove = window.tb_remove;
    window.tb_remove = function() {
        window.old_tb_remove();
        adns_formfield = null;
    };
    window.original_send_to_editor = window.send_to_editor;
    window.send_to_editor = function(html) {
        if (adns_formfield) {
            var alt = jQuery('img', html).attr('alt');
            fileurl = jQuery('img', html).attr('src');
            if (jQuery('img', html).length == 0) {
                fileurl = jQuery(html).attr('src');
                alt = jQuery(html).attr('alt');
            }
            adns_formfield.val(fileurl);
            adns_formfield.trigger('keyup');
            tb_remove();
        } else {
            window.original_send_to_editor(html);
        }
    };

    jQuery('#wpwrap').css({
        height: jQuery('#adns_bootstraped').height() + 48
    });
    adns_imageDef = jQuery('#step_new_image').val();

    if (jQuery('#adns_winActivation').is('[data-show="true"]') && document.referrer.indexOf('admin.php?page=adns_menu') < 0) {
        jQuery('#adns_winActivation .modal-dialog').hover(function() {
            jQuery(this).addClass('adns_hover');
        }, function() {
            jQuery(this).removeClass('adns_hover');
        });
        adns_lock = true;
        jQuery('#adns_closeWinActivationBtn').click(function() {
            if (!adns_lock) {
                jQuery('#adns_winActivation').modal('hide');
            }
        });
        jQuery('#adns_closeWinActivationBtn .adns_text').data('num', 10).html('Wait 10 seconds');
        adns_actTimer = setInterval(function() {
            var num = jQuery('#adns_closeWinActivationBtn .adns_text').data('num');
            num--;
            if (num > 0) {
                jQuery('#adns_closeWinActivationBtn .adns_text').data('num', num).html('Wait ' + num + ' seconds');
            } else {
                jQuery('#adns_closeWinActivationBtn').removeClass('disabled');
                adns_lock = false;
                jQuery('#adns_closeWinActivationBtn .adns_text').data('num', '').html('Close');
            }
        }, 1000);
    } else {
        jQuery('#adns_winActivation').attr('data-show', 'false');
    }
    jQuery('#adns_winActivation').on('hide.bs.modal', function(e) {
        if (adns_lock && !jQuery('#adns_winActivation .modal-dialog').is('.adns_hover')) {
            e.preventDefault();
        }
    });
    jQuery('.form-group').each(function() {
        var self = this;
        if (jQuery(self).find('small').length > 0 && jQuery(self).find('.form-control').length > 0) {
            jQuery(this).find('.form-control').tooltip({
                title: jQuery(self).find('small').html()
            });
        }
    });
    jQuery('#adns_bootstraped').find('input[type="checkbox"]').each(function() {
        if (jQuery(this).is('[data-toggle="switch"]')) {
            if (jQuery(this).closest('.form-group').find('small').length > 0) {
                jQuery(this).closest('.bootstrap-switch-wrapper').tooltip({
                    title: jQuery(this).closest('.form-group').find('small').html()
                });
            }
        }
    });
    jQuery('#adns_donationDescription').summernote({
        height: 240,
        minHeight: null,
        maxHeight: null,
    });
    jQuery('.imageBtn').click(function() {
        adns_formfield = jQuery(this).prev('input');
        tb_show('', 'media-upload.php?TB_iframe=true');
        return false;
    });
    jQuery('#adns_iconslist li a').click(function() {
        var icon = jQuery(this).attr('data-icon');
        jQuery('#adns_donationFields input[name="introBtnIcon"]').val(icon);
    });
    jQuery('#adns_winActivation').modal();
    jQuery('[data-toggle="tooltip"]').tooltip();
    adns_loadSettings();
});

function adns_onTintPicturesChange() {
    if (jQuery('#adns_donationFields input[name="imageTint"]').is(':checked')) {
        jQuery('#adns_donationFields input[name="colorTint"]').closest('.form-group').slideDown();
    } else {
        jQuery('#adns_donationFields input[name="colorTint"]').closest('.form-group').slideUp();
    }
}

function adns_onGoogleFontChange() {
    if (jQuery('#adns_donationFields input[name="useGoogleFont"]').is(':checked')) {
        jQuery('#adns_donationFields input[name="googleFontName"]').closest('.form-group').slideDown();
    } else {
        jQuery('#adns_donationFields input[name="googleFontName"]').closest('.form-group').slideUp();
    }
}

function adns_getStepByID(stepID) {
    var rep = false;
    jQuery.each(adns_steps, function(i) {
        if (this.id == stepID) {
            rep = this;
        }
    });
    return rep;
}

function adns_showLoader() {
    jQuery('body').css({ overflowY: 'hidden' });
    jQuery('body').animate({ scrollTop: 0 }, 250);
    jQuery('#adns_loader').fadeIn();
}

function adns_hideLoader() {
    jQuery('body').css({ overflowY: 'auto' });
    jQuery('#adns_loader').fadeOut();
}

function adns_showShortcodeWin(donationID) {
    if (!donationID) {
        donationID = adns_currentDonationID;
    }
    jQuery('#adns_shortcode_1').val('[attractive-donation donation="' + donationID + '"]');
    jQuery('#adns_winShortcode').modal('show');
}

function adns_checkEmail(email) {
    if (email.indexOf("@") != "-1" && email.indexOf(".") != "-1" && email != "")
        return true;
    return false;
}

function adns_addStep(step) {

    var tr = jQuery('<tr data-stepid="' + step.id + '">' +
        '<td><span class="adns_value">' + step.amount + '</span><div class="adns_stepEdit"><input type="number" name="price" step="any" min="1" style="width: 105px;" value="' + step.amount + '" class="form-control"  placeholder="' + jQuery('#step_new_price').prop('placeholder') + '"/></div></td>' +
        '<td><span class="adns_value">' + step.content + '</span><div class="adns_stepEdit"><input type="text" name="content" step="any" value="' + step.content + '" class="form-control" placeholder="' + jQuery('#step_new_text').prop('placeholder') + '"/></div></td>' +
        '<td><span class="adns_value"><img src="' + step.image + '" class="adns_stepImageMin" alt="Step Image" /></span> <div class="adns_stepEdit"><input type="text" name="image" class="form-control " style="display: none;" value="' + step.image + '" />' +
        '<a class="btn btn-default imageBtn" style=" display: inline-block; margin-top:0px;">' + jQuery('#adns_stepsTable tr[class="static"] .imageBtn').html() + '</a></div></td>' +
        '<td><input type="checkbox" name="startStep" data-toggle="switch" data-on-label="' + adns_data.texts['yes'] + '" data-off-label="' + adns_data.texts['no'] + '" /></td>' +
        '<td><a href="javascript:" onclick="adns_editStep(' + step.id + ');" class="btn btn-circle btn-primary"><span class="glyphicon glyphicon-pencil"></span></a>' +
        '<a href="javascript:" style="display:none;" onclick="adns_saveStep(' + step.id + ');" class="btn btn-circle btn-primary"><span class="glyphicon glyphicon-floppy-disk"></span></a>' +
        '<a href="javascript:" onclick="adns_removeStep(' + step.id + ');" class="btn btn-circle btn-danger"><span class="glyphicon glyphicon-trash"></span></a>' +
        '</td>' +
        '</tr>');
    jQuery('#adns_stepsTable tbody tr.static').before(tr);
    jQuery(tr).find('.imageBtn').click(function() {
        adns_formfield = jQuery(this).prev('input');
        tb_show('', 'media-upload.php?TB_iframe=true');
        return false;
    });
    jQuery(tr).find("[data-toggle='switch']").on('change', function() {
        var startStep = jQuery(this).closest('tr').attr('data-stepid');
        if (jQuery(this).is(':checked')) {
            jQuery('#adns_stepsTable tbody tr:not([data-stepid="' + jQuery(this).closest('tr').attr('data-stepid') + '"]) [data-toggle="switch"]').closest('.switch.has-switch').bootstrapSwitch('setState', false, true);
        } else {
            if (jQuery('#adns_stepsTable tbody tr:not([data-stepid="' + jQuery(this).closest('tr').attr('data-stepid') + '"]) [data-toggle="switch"]').length > 0) {
                startStep = jQuery('#adns_stepsTable tbody tr:not([data-stepid="' + jQuery(this).closest('tr').attr('data-stepid') + '"]) [data-toggle="switch"]:first').attr('data-stepid');
            }
        }
        jQuery.ajax({
            url: ajaxurl,
            type: 'post',
            data: {
                action: 'adns_saveStartStep',
                donationID: adns_currentDonationID,
                startStep: startStep
            },
            success: function(rep) {}
        });
    });
    jQuery(tr).find("[data-toggle='switch']").wrap('<div class="switch" data-on-label="' + adns_data.texts['yes'] + '" data-off-label="' + adns_data.texts['no'] + '" />').parent().bootstrapSwitch({

    });
    if (step.startStep && step.startStep == 1) {
        jQuery(tr).find("[data-toggle='switch']").parent().bootstrapSwitch('setState', true);
    } else {
        jQuery(tr).find("[data-toggle='switch']").parent().bootstrapSwitch('setState', false);
    }

}

function adns_editStep(stepID) {
    jQuery('#adns_stepsTable tbody tr[data-stepid="' + stepID + '"] td > .adns_value').slideUp();
    jQuery('#adns_stepsTable tbody tr[data-stepid="' + stepID + '"] .glyphicon-pencil').parent().fadeOut();
    setTimeout(function() {
        jQuery('#adns_stepsTable tbody tr[data-stepid="' + stepID + '"] td > .adns_stepEdit').slideDown();
        jQuery('#adns_stepsTable tbody tr[data-stepid="' + stepID + '"] .glyphicon-floppy-disk').parent().fadeIn();
    }, 350);
}

function adns_saveStep(stepID) {
    var tr = 'tr.static';
    if (stepID > 0) {
        tr = 'tr[data-stepid="' + stepID + '"]';
    }
    var amount = jQuery('#adns_stepsTable ' + tr + ' [name="price"]').val();
    var content = jQuery('#adns_stepsTable ' + tr + ' [name="content"]').val();
    var image = jQuery('#adns_stepsTable ' + tr + ' [name="image"]').val();
    var error = false;
    jQuery('#adns_stepsTable ' + tr + ' [name="price"]').closest('.form-group').removeClass('has-error');
    jQuery('#adns_stepsTable ' + tr + ' [name="content"]').closest('.form-group').removeClass('has-error');
    jQuery('#adns_stepsTable ' + tr + ' [name="image"]').closest('.form-group').removeClass('has-error');

    if (amount <= 0) {
        error = true;
        jQuery('#adns_stepsTable ' + tr + ' [name="price"]').closest('.form-group').addClass('has-error');
    }
    if (content == "") {
        error = true;
        jQuery('#adns_stepsTable ' + tr + ' [name="content"]').closest('.form-group').addClass('has-error');
    }

    jQuery('#adns_stepsTable ' + tr + ' td:nth-child(2) .adns_value').html(content);

    if (!error) {
        if (stepID > 0) {
            jQuery('#adns_stepsTable ' + tr + ' td > .adns_stepEdit').slideUp();
            jQuery('#adns_stepsTable tbody ' + tr + ' .glyphicon-floppy-disk').parent().fadeOut();
            setTimeout(function() {
                jQuery('#adns_stepsTable ' + tr + ' td > .adns_value').slideDown();
                jQuery('#adns_stepsTable tbody ' + tr + ' .glyphicon-pencil').parent().fadeIn();
            }, 350);

        }
        jQuery.ajax({
            url: ajaxurl,
            type: 'post',
            data: {
                action: 'adns_saveStep',
                amount: amount,
                content: content,
                image: image,
                donationID: adns_currentDonationID,
                stepID: stepID
            },
            success: function(rep) {
                jQuery('#adns_stepsTable ' + tr + ' [name="price"]').val('');
                jQuery('#adns_stepsTable ' + tr + ' [name="content"]').val('');
                jQuery('#adns_stepsTable ' + tr + ' [name="image"]').val(adns_imageDef);
                adns_loadSteps();
            }
        });
    }
}

function adns_removeStep(stepID) {
    jQuery('#adns_stepsTable tr[data-stepid="' + stepID + '"]').remove();
    jQuery.ajax({
        url: ajaxurl,
        type: 'post',
        data: {
            action: 'adns_removeStep',
            stepID: stepID
        },
        success: function() {}
    });
}

function adns_loadSteps() {
    jQuery.ajax({
        url: ajaxurl,
        type: 'post',
        data: {
            action: 'adns_loadSteps',
            donationID: adns_currentDonationID
        },
        success: function(rep) {
            rep = jQuery.parseJSON(rep);
            jQuery('#adns_stepsTable tbody tr:not(.static)').remove();
            jQuery.each(rep.steps, function(index) {
                var step = this;
                adns_addStep(step);
            });
        }
    });
}

function adns_loadSettings() {
    jQuery.ajax({
        url: ajaxurl,
        type: 'post',
        data: {
            action: 'adns_loadSettings'
        },
        success: function(settings) {
            settings = jQuery.parseJSON(settings);
            adns_params = settings;

            adns_hideLoader();
        }
    });
}

function adns_addDonation() {
    adns_showLoader();
    jQuery.ajax({
        url: ajaxurl,
        type: 'post',
        data: {
            action: 'adns_addDonation'
        },
        success: function(donationID) {
            adns_loadDonation(donationID);
        }
    });
}

function adns_loadDonation(donationID) {
    adns_currentDonationID = donationID;
    jQuery('#adns_btnLogsDonation').attr('data-donationid', donationID);
    adns_showLoader();
    jQuery('#adns_logsBtn').attr('data-donationid', donationID);
    //jQuery('#adns_btnPreview').attr('href', adns_data.websiteUrl + '?adns_action=preview&donation=' + donationID);


    jQuery('#adns_btnPreview').on('click', function() {
        adns_openFormPreview(donationID);
    });

    jQuery.ajax({
        url: ajaxurl,
        type: 'post',
        data: {
            action: 'adns_loadDonation',
            donationID: donationID
        },
        success: function(rep) {
            rep = JSON.parse(rep);
            adns_currentDonation = rep;
            adns_params = rep.params;
            adns_steps = rep.steps;

            jQuery('#adns_donationFields').find('input,select,textarea').each(function() {
                if (jQuery(this).is('[data-toggle="switch"]')) {
                    var value = false;
                    eval('if(rep.donation.' + jQuery(this).attr('name') + ' == 1 && jQuery(this).attr(\'checked\') != \'checked\'){jQuery(this).trigger(\'click\');}');
                    eval('if(rep.donation.' + jQuery(this).attr('name') + ' == 0 && jQuery(this).attr(\'checked\') == \'checked\'){jQuery(this).trigger(\'click\');}');
                } else {
                    eval('jQuery(this).val(rep.donation.' + jQuery(this).attr('name') + ');');
                }
            });

            jQuery('#adns_stepsTable tbody tr:not(.static)').remove();
            jQuery.each(rep.steps, function(index) {
                var step = this;
                adns_addStep(step);
            });
            jQuery('#adns_infoModal p > strong').html('attractive-donation-' + donationID.toString());
            jQuery('#adns_panelPreview').show();
            jQuery('#adns_panelDonationsList').hide();
            jQuery('#adns_donationDescription').code(rep.donation.description);
            setTimeout(function() {

                jQuery('#adns_donationFields [name="introBtnIcon"]').closest('.form-group').show();
                jQuery('#adns_iconslist').closest('.btn-group').addClass('open');
                jQuery('#adns_iconslist').find('i.fa').each(function() {
                    if (jQuery(this).width() < 10) {
                        jQuery(this).closest('li').remove();
                    }
                });
                jQuery('#adns_iconslist').closest('.btn-group').removeClass('open');
                adns_displayChange();
                adns_hideLoader();
            }, 1000);

            jQuery('.colorpick').each(function() {
                var $this = jQuery(this);
                if (jQuery(this).prev('.adns_colorPreview').length == 0) {
                    jQuery(this).before('<div class="adns_colorPreview" style="background-color:#' + $this.val().substr(1, 7) + '"></div>');
                }
                jQuery(this).prev('.adns_colorPreview').click(function() {
                    jQuery(this).next('.colorpick').trigger('click');
                });
                jQuery(this).colpick({
                    color: $this.val().substr(1, 7),
                    onChange: function(hsb, hex, rgb, el, bySetColor) {
                        jQuery(el).val('#' + hex);
                        jQuery(el).prev('.adns_colorPreview').css({
                            backgroundColor: '#' + hex
                        });
                    }
                });
            });

            jQuery('#adns_donationFields input[name="useGoogleFont"]').on('change', adns_onGoogleFontChange);
            jQuery('#adns_donationFields [name="use_paypal"]').on('change', adns_donationPaypalChange);
            jQuery('#adns_donationFields [name="use_stripe"]').on('change', adns_donationStripeChange);
            jQuery('#adns_donationFields [name="imageTint"]').on('change', adns_onTintPicturesChange);
            jQuery('#adns_donationFields [name="displayMode"]').on('change', adns_displayChange);
            jQuery('#adns_donationFields #paypal_isSubscription').on('change', adns_onPaypalSubscriptionChange);
            jQuery('#adns_donationFields #stripe_isSubscription').on('change', adns_onStripeSubscriptionChange);


            adns_donationPaypalChange();
            adns_donationStripeChange();
            adns_onGoogleFontChange();
            adns_displayChange();
            adns_onTintPicturesChange();
            adns_onPaypalSubscriptionChange();
            adns_onStripeSubscriptionChange();
        }
    });
}

function adns_onPaypalSubscriptionChange() {
    if (jQuery('#adns_donationFields [name="use_paypal"]').is(':checked') && jQuery('#adns_donationFields #paypal_isSubscription').is(':checked')) {
        jQuery('#adns_donationFields [name="paypal_subsFrequencyType"]').closest('.form-group').slideDown();
        jQuery('#adns_donationFields #paypal_subscriptionLabel').closest('.form-group').slideDown();
        if (jQuery('#adns_donationFields #stripe_isSubscription').is(':checked')) {
            jQuery('#adns_donationFields #stripe_isSubscription').parent().bootstrapSwitch('setState', false);
        }
        jQuery('#adns_donationFields #paypal_recurringLabel').closest('.form-group').slideDown();

    } else {
        jQuery('#adns_donationFields [name="paypal_subsFrequencyType"]').closest('.form-group').slideUp();
        jQuery('#adns_donationFields #paypal_subscriptionLabel').closest('.form-group').slideUp();
        if (jQuery('#adns_donationFields #paypal_isSubscription').is(':checked')) {
            jQuery('#adns_donationFields #paypal_isSubscription').parent().bootstrapSwitch('setState', false);
        }
        jQuery('#adns_donationFields #paypal_recurringLabel').closest('.form-group').slideUp();
    }
}

function adns_onStripeSubscriptionChange() {
    if (jQuery('#adns_donationFields [name="use_stripe"]').is(':checked') && jQuery('#adns_donationFields #stripe_isSubscription').is(':checked')) {
        jQuery('#adns_donationFields [name="stripe_subsFrequencyType"]').closest('.form-group').slideDown();
        jQuery('#adns_donationFields #stripe_subscriptionLabel').closest('.form-group').slideDown();
        if (jQuery('#adns_donationFields #paypal_isSubscription').is(':checked')) {
            jQuery('#adns_donationFields #paypal_isSubscription').parent().bootstrapSwitch('setState', false);
        }
        jQuery('#adns_donationFields #stripe_recurringLabel').closest('.form-group').slideDown();

    } else {
        jQuery('#adns_donationFields [name="stripe_subsFrequencyType"]').closest('.form-group').slideUp();
        jQuery('#adns_donationFields #stripe_subscriptionLabel').closest('.form-group').slideUp();
        if (jQuery('#adns_donationFields #stripe_isSubscription').is(':checked')) {
            jQuery('#adns_donationFields #stripe_isSubscription').parent().bootstrapSwitch('setState', false);
        }
        jQuery('#adns_donationFields #stripe_recurringLabel').closest('.form-group').slideUp();
    }
}

function adns_displayChange() {
    if (jQuery('#adns_donationFields [name="displayMode"]').val() == 'modal') {
        jQuery('#adns_infoModal').slideDown();
        jQuery('#adns_donationFields [name="introBtnLabel"]').closest('.form-group').slideUp();
        jQuery('#adns_donationFields [name="introBtnIcon"]').closest('.form-group').slideUp();
    } else if (jQuery('#adns_donationFields [name="displayMode"]').val() == 'button') {
        jQuery('#adns_infoModal').slideUp();
        jQuery('#adns_donationFields [name="introBtnLabel"]').closest('.form-group').slideDown();
        jQuery('#adns_donationFields [name="introBtnIcon"]').closest('.form-group').slideDown();
    } else if (jQuery('#adns_donationFields [name="displayMode"]').val() == 'modalButton') {
        jQuery('#adns_infoModal').slideUp();
        jQuery('#adns_donationFields [name="introBtnLabel"]').closest('.form-group').slideDown();
        jQuery('#adns_donationFields [name="introBtnIcon"]').closest('.form-group').slideDown();
    } else {
        jQuery('#adns_infoModal').slideUp();
        jQuery('#adns_donationFields [name="introBtnLabel"]').closest('.form-group').slideUp();
        jQuery('#adns_donationFields [name="introBtnIcon"]').closest('.form-group').slideUp();
    }

}

function adns_donationPaypalChange() {
    if (jQuery('#adns_donationFields [name="use_paypal"]').is(':checked')) {
        jQuery('#adns_formPaypal').slideDown();
        jQuery('#adns_donationFields [name="use_stripe"]').parent().bootstrapSwitch('setState', false);
        jQuery('#adns_donationFields #stripe_isSubscription').parent().bootstrapSwitch('setState', false);
    } else {
        jQuery('#adns_formPaypal').slideUp();
        if (!jQuery('#adns_donationFields [name="use_stripe"]').is(':checked')) {
            jQuery('#adns_donationFields [name="use_stripe"]').parent().bootstrapSwitch('setState', true);
        }
    }
}

function adns_donationStripeChange() {
    if (jQuery('#adns_donationFields [name="use_stripe"]').is(':checked')) {
        jQuery('#adns_donationFields [name="use_paypal"]').parent().bootstrapSwitch('setState', false);
        jQuery('#adns_donationFields #paypal_isSubscription').parent().bootstrapSwitch('setState', false);
        jQuery('#adns_formStripe').slideDown();
    } else {
        jQuery('#adns_formStripe').slideUp();
        if (!jQuery('#adns_donationFields [name="use_paypal"]').is(':checked')) {
            jQuery('#adns_donationFields [name="use_paypal"]').parent().bootstrapSwitch('setState', true);
        }
    }
}

function adns_removeDonation(donationID) {
    adns_showLoader();
    jQuery.ajax({
        url: ajaxurl,
        type: 'post',
        data: {
            action: 'adns_removeDonation',
            donationID: donationID
        },
        success: function() {
            adns_returnToList();
        }
    });

}

function adns_returnToList() {
    adns_showLoader();
    document.location.href = document.location.href;
}

function adns_closeWin(win) {
    win.fadeOut();
    jQuery('#adns_stepsContainer').slideDown();

    setTimeout(function() {
        adns_updateStepsDesign();
    }, 250);
}

function adns_duplicateDonation(donationID) {
    adns_showLoader();
    jQuery.ajax({
        url: ajaxurl,
        type: 'post',
        data: { action: 'adns_duplicateDonation', donationID: donationID },
        success: function(rep) {
            document.location.href = document.location.href;
        }
    });
}

function adns_selectPre(input) {
    jQuery(input).select();
}

function adns_saveDonation() {
    if (jQuery('#adns_donationFields input[name="sendEmail"]').is(':checked') && !adns_checkEmail(jQuery('#adns_donationFields input[name="email"]').val())) {
        jQuery('#adns_donationFields input[name="email"]').closest('.form-group').addClass('has-error');
    } else {
        jQuery('#adns_donationFields input[name="email"]').closest('.form-group').removeClass('has-error');
        adns_showLoader();
        var donationData = {};
        jQuery('#adns_donationFields').find('input,select,textarea').each(function() {
            if (jQuery(this).closest('#adns_stepsTable').length == 0) {
                if (!jQuery(this).is('[data-toggle="switch"]')) {
                    eval('donationData.' + jQuery(this).attr('name') + ' = jQuery(this).val();');
                } else {
                    var value = 0;
                    if (jQuery(this).is(':checked')) {
                        value = 1;
                    }
                    eval('donationData.' + jQuery(this).attr('name') + ' = value;');
                }
            }
        });
        if (jQuery('#adns_donationFields #paypal_isSubscription').is(':checked') || jQuery('#adns_donationFields #stripe_isSubscription').is(':checked')) {
            donationData.isSubscription = 1;
        } else {
            donationData.isSubscription = 0;
        }
        if (jQuery('#adns_donationFields #paypal_isSubscription').is(':checked')) {
            donationData.subscriptionLabel = jQuery('#adns_donationFields #paypal_subscriptionLabel').val();
            donationData.recurringLabel = jQuery('#adns_donationFields #paypal_recurringLabel').val();
        } else {
            donationData.subscriptionLabel = jQuery('#adns_donationFields #stripe_subscriptionLabel').val();
            donationData.recurringLabel = jQuery('#adns_donationFields #stripe_recurringLabel').val();
        }

        donationData.action = 'adns_saveDonation';
        donationData.donationID = adns_currentDonationID;
        donationData.description = jQuery('#adns_donationDescription').code();
        jQuery.ajax({
            url: ajaxurl,
            type: 'post',
            data: donationData,
            success: function() {
                adns_hideLoader();
            }
        });
    }
}

function adns_exportDonations() {
    adns_showLoader();
    jQuery.ajax({
        url: ajaxurl,
        type: 'post',
        data: {
            action: 'adns_exportDonations'
        },
        success: function(rep) {
            adns_hideLoader();
            if (rep == '1') {
                jQuery('#adns_winExport').modal('show');
            } else {
                alert(adns_data.texts['errorExport']);
            }
        }
    });

}

function adns_importDonations() {
    adns_showLoader();
    jQuery('#adns_winImport').modal('hide');
    var formData = new FormData(jQuery('#adns_winImportDonation')[0]);

    jQuery.ajax({
        url: ajaxurl,
        type: 'post',
        xhr: function() {
            var myXhr = jQuery.ajaxSettings.xhr();
            return myXhr;
        },
        success: function(rep) {
            if (rep != '1') {
                adns_hideLoader();
                alert(adns_data.texts['errorImport']);
            } else {
                document.location.href = document.location.href;
            }
        },
        data: formData,
        cache: false,
        contentType: false,
        processData: false
    });
}

function adns_openFormPreview(donationID) {
    jQuery.ajax({
        url: ajaxurl,
        type: 'post',
        data: {
            action: 'adns_getFormPreviewURL',
            donationID: donationID
        },
        success: function(url) {
            var win = window.open(url, '_blank');
            if (typeof(win) !== 'null' && win != null) {
                win.focus();
            }
        }
    });
}