var adns_animTimer;
var adns_initialBodyOverflow = '';
var adns_initialHtmlOverflow = '';
jQuery(document).ready(function () {
    jQuery('#attractive-donation[data-donationid].adns_modal').each(function () {
        var $el = jQuery(this);
        $el.closest('#adns_bootstraped').detach().appendTo('body');
    });
    jQuery('#attractive-donation[data-donationid] [data-toggle="switch"]').wrap('<div class="switch" data-on-label="<i class=\'fui-check\'></i>" data-off-label="<i class=\'fui-cross\'></i>" />').parent().bootstrapSwitch();

    jQuery('.bootstrap-switch-handle-on').html('<i class="fui-check"></i>');
    jQuery('.bootstrap-switch-handle-off').html('<i class="fui-cross"></i>');
    adns_initStartBtns();
    adns_initDonations();
    jQuery(window).resize(adns_onResize);
});

function adns_initStartBtns() {
    jQuery('*').each(function () {
        var element = this;
        if (!jQuery(this).is('[data-donationid]') && jQuery(this).attr('class')) {
            if (jQuery(this).attr('class').indexOf(' ') > -1) {
                var classes = jQuery(element).attr('class').toString().split(' ');
                jQuery.each(classes, function () {
                    if (this.toString().indexOf('attractive-donation-') == 0) {
                        var donationID = this.toString().substr(20, this.toString().length - 20);
                        jQuery(element).attr('data-donationid', donationID);
                        jQuery(element).click(adns_clickBtnStart);
                    }
                });
            } else {
                var classCss = jQuery(this).attr('class');
                if (classCss.toString().indexOf('attractive-donation-') == 0) {
                    var donationID = classCss.substr(20, classCss.length - 20);
                    jQuery(element).attr('data-donationid', donationID);
                    jQuery(element).click(adns_clickBtnStart);
                }
            }
        }
    });
}
function adns_clickBtnStart(e) {
    if (jQuery(this).parent('.adns_startBtnContainer').length > 0) {
        jQuery(this).parent('.adns_startBtnContainer').fadeOut();
    } else {
        jQuery(this).fadeOut();
    }
    var donationID = jQuery(this).attr('data-donationid');
    if (jQuery('#attractive-donation[data-donationid="' + donationID + '"]').is('.adns_modal')) {
        adns_openModal(donationID);
    } else {
        jQuery('#attractive-donation[data-donationid="' + donationID + '"]').addClass('adns_open');
        jQuery('#attractive-donation[data-donationid="' + donationID + '"]').css({
            opacity: 0,
            display: 'block'
        });
        adns_onResize();
        jQuery('#attractive-donation[data-donationid="' + donationID + '"]').hide();
        jQuery('#attractive-donation[data-donationid="' + donationID + '"]').css({
            opacity: 1
        });
        setTimeout(function () {
            jQuery('#attractive-donation[data-donationid="' + donationID + '"]').slideDown(400);
        }, 400);
        setTimeout(function () {
            jQuery('#attractive-donation[data-donationid="' + donationID + '"] .adns_progressbarContainer').animate({
                opacity: 1
            }, 500);
            jQuery('body,html').animate({
                scrollTop: jQuery('#attractive-donation[data-donationid="' + donationID + '"] .adns_title').offset().top - 80
            }, 250);
            setTimeout(function () {
                jQuery('#attractive-donation[data-donationid="' + donationID + '"] .adns_stepsContainer').animate({
                    opacity: 1
                }, 500);
                setTimeout(function () {
                    jQuery('#attractive-donation[data-donationid="' + donationID + '"] .adns_btnPaymentContainer').animate({
                        opacity: 1
                    }, 500);
                }, 600);
            }, 600);
        }, 800);
    }
}
function adns_openModal(donationID) {
    if (jQuery('#attractive-donation[data-donationid="' + donationID + '"].adns_modal.adns_open').length == 0) {
        adns_initialBodyOverflow = jQuery('body').css('overflow-y');
        adns_initialHtmlOverflow = jQuery('html').css('overflow-y');
    } else {
        jQuery('#attractive-donation[data-donationid="' + donationID + '"].adns_modal.adns_open').each(function () {
            adns_closeModal(jQuery(this).attr('data-donationid'));
        });
    }
    jQuery('#attractive-donation[data-donationid="' + donationID + '"]').addClass('adns_open');
    jQuery('body,html').css('overflow-y', 'hidden');
    jQuery('#attractive-donation[data-donationid="' + donationID + '"]').closest('#adns_bootstraped').find('#adns_overlay').fadeIn();
    jQuery('#attractive-donation[data-donationid="' + donationID + '"]').css({
        opacity: 0,
        display: 'block'
    });
    adns_onResize();
    setTimeout(function () {
        jQuery('#attractive-donation[data-donationid="' + donationID + '"]').animate({
            opacity: 1
        }, 800);
        setTimeout(function () {
            jQuery('#attractive-donation[data-donationid="' + donationID + '"] .adns_progressbarContainer').animate({
                opacity: 1
            }, 400);
            setTimeout(function () {
                jQuery('#attractive-donation[data-donationid="' + donationID + '"] .adns_stepsContainer').animate({
                    opacity: 1
                }, 500);
                setTimeout(function () {
                    jQuery('#attractive-donation[data-donationid="' + donationID + '"] .adns_btnPaymentContainer').animate({
                        opacity: 1
                    }, 500);
                }, 600);
            }, 600);
        }, 800);
    }, 600);
}

function adns_closeModal(donationID) {
    jQuery('#attractive-donation[data-donationid="' + donationID + '"]').animate({
        opacity: 0
    }, 800);
    setTimeout(function () {
        jQuery('#attractive-donation[data-donationid="' + donationID + '"]').css({
            display: 'none'
        });
    }, 805);

    jQuery('#attractive-donation[data-donationid="' + donationID + '"]').removeClass('adns_open');
    jQuery('#attractive-donation[data-donationid="' + donationID + '"]').closest('#adns_bootstraped').find('#adns_overlay').fadeOut();
    jQuery('.attractive-donation-' + donationID + '[data-donationid="' + donationID + '"]').fadeIn();
    jQuery('.attractive-donation-' + donationID + '[data-donationid="' + donationID + '"]').closest('.adns_startBtnContainer').fadeIn();
    jQuery('body').css('overflow-y', adns_initialBodyOverflow);
    jQuery('html').css('overflow-y', adns_initialHtmlOverflow);
}
function adns_initDonations() {
    jQuery.each(adns_donations.donations, function () {
        var donation = this;
        donation.amount = 0;
        donation.minimum = 9999999999;
        donation.maximum = -1;
        donation.currentStep = jQuery('#attractive-donation[data-donationid="' + donation.id + '"] .adns_step[data-start="1"]').attr('data-start');
        jQuery.each(donation.steps, function () {
            if (parseFloat(this.amount) < donation.minimum) {
                donation.minimum = parseFloat(this.amount);
            }
            if (this.amount > donation.maximum) {
                donation.maximum = parseFloat(this.amount);
            }
        });
        if (donation.minimum == 9999999999) {
            donation.minimum = 1;
        }
        if (donation.maximum == -1) {
            donation.maximum = 20;
        }

        jQuery('#attractive-donation[data-donationid="' + donation.id + '"] img.adns_imageCurrent').on('load',function () {
            adns_onImageLoad(this);
        });

        jQuery('#attractive-donation[data-donationid="' + donation.id + '"] img.adns_imageCurrent').each(function () {
            adns_onImageLoad(jQuery(this).get(0));
        });
        jQuery('#attractive-donation[data-donationid="' + donation.id + '"] #adns_recurringCB').on('change', function () {
            adns_toggleRecurring(donation.id);
        });

        if (donation.use_stripe == 1) {

            donation.stripe = Stripe(donation.stripe_publishKey);

            var $btn = jQuery('<a href="javascript:" class="adns-btn adns-btn-primary adns_btnPayment">' + donation.btnPaymentTxt + '</a>');
            jQuery('#attractive-donation[data-donationid="' + donation.id + '"] .adns_btnPaymentContainer').append($btn);
            $btn.on('click', function () {
                var isSub = 0;
                if (jQuery('#attractive-donation[data-donationid="' + donation.id + '"]').is('[data-subscription="true"]')) {
                    isSub = 1;
                }
                var selectedTitle = '';
                var lastStepAmount = 0;
                var selectedStep = 0;
                jQuery.each(donation.steps, function () {
                    if (parseFloat(this.amount) <= parseFloat(donation.amount) && parseFloat(this.amount) >= parseFloat(lastStepAmount)) {
                        lastStepAmount = parseFloat(this.amount);
                        selectedStep = this.id;
                        selectedTitle = this.content;
                    }
                });
                if (jQuery('#adns_loader').length === 0) {
                    jQuery('#attractive-donation[data-donationid="' + donation.id + '"]').append('<div id="adns_loader"><div class="adns_loader_anim"></div></div>');
                }
                jQuery('#adns_loader').fadeIn();
                jQuery.ajax({
                    url: adns_donations.ajaxurl,
                    type: 'post',
                    data: {
                        action: 'adns_stripePreparePayment',
                        donationID: donation.id,
                        title: donation.btnPaymentTxt+' '+selectedTitle,
                        amount: parseFloat(donation.amount).toFixed(2),
                        isSub: isSub
                    }, success: function (sessionID) {
                        donation.stripe.redirectToCheckout({
                            sessionId: sessionID
                        }).then(function (result) {
                        });
                    }
                });
            });

        }
        var startAmount = 1;
        jQuery.each(donation.steps, function () {
            if (this.startStep == 1) {
                startAmount = this.amount;
            }
        });

        jQuery('#attractive-donation[data-donationid="' + donation.id + '"]  img[data-tint="true"]').each(function () {
            jQuery(this).css('opacity', 0);
            jQuery(this).show();
            var $canvas = jQuery('<canvas class="adns_imageCurrent"></canvas>');
            $canvas.prop({
                width: jQuery(this).get(0).width,
                height: jQuery(this).get(0).height
            });
            jQuery(this).hide();
            jQuery(this).after($canvas);
            var ctx = $canvas.get(0).getContext('2d');
            var img = new Image();
            img.onload = function () {
                ctx.fillStyle = donation.colorTint;
                ctx.fillRect(0, 0, $canvas.get(0).width, $canvas.get(0).height);
                ctx.fill();
                ctx.globalCompositeOperation = 'destination-in';
                ctx.drawImage(img, 0, 0, $canvas.get(0).width, $canvas.get(0).height);
            };
            img.src = jQuery(this).attr('src');
        });
        jQuery('#attractive-donation[data-donationid="' + donation.id + '"] img[data-tint="false"]').each(function () {
            if (jQuery(this).is('[data-src]')) {
                jQuery(this).attr('src', jQuery(this).attr('data-src'));
            }
        });

        var orientation = 'horizontal';
        if (jQuery('#attractive-donation[data-donationid="' + donation.id + '"]').is('.adns_vertical')) {
            orientation = 'vertical';
        }
        jQuery('#attractive-donation[data-donationid="' + donation.id + '"] .adns_progressbar').slider({
            min: donation.minimum,
            max: donation.maximum,
            value: donation.minimum,
            orientation: orientation,
            range: "min",
            change: function (event, ui) {
                donation.amount = parseFloat(ui.value);
                adns_updateAmount(donation.id);
            },
            slide: function (event, ui) {
                donation.amount = parseFloat(ui.value);
                adns_updateAmount(donation.id);
            },
            stop: function (event, ui) {
                donation.amount = parseFloat(ui.value);
                adns_updateAmount(donation.id);
            }
        }).slider('value', startAmount);
        adns_updateAmount(donation.id);
        adns_onResize();

        if (jQuery('#attractive-donation[data-donationid="' + donation.id + '"]').is('.adns_open')) {
            jQuery('#attractive-donation[data-donationid="' + donation.id + '"] .adns_progressbarContainer').animate({
                opacity: 1
            }, 400);
            setTimeout(function () {
                jQuery('#attractive-donation[data-donationid="' + donation.id + '"] .adns_stepsContainer').animate({
                    opacity: 1
                }, 500);
                setTimeout(function () {
                    jQuery('#attractive-donation[data-donationid="' + donation.id + '"] .adns_btnPaymentContainer').animate({
                        opacity: 1
                    }, 500);
                }, 600);
            }, 600);
        }
    });
}
function adns_onResize() {
    jQuery('#attractive-donation.adns_open .adns_stepSpacer').css({
        height: 0
    });
    jQuery('#attractive-donation.adns_open img.adns_imageCurrent').each(function () {
        adns_onImageLoad(jQuery(this).get(0));
    });
    jQuery('#attractive-donation.adns_modal.adns_open').each(function () {

        var newHeight = jQuery(this).find('.adns_title').outerHeight();
        newHeight += jQuery(this).find('.adns_description').outerHeight();
        newHeight += jQuery(this).find('.adns_donationContent').outerHeight();
        newHeight += jQuery(this).find('.adns_btnPaymentContainer').outerHeight();
        newHeight += 100;
        if (jQuery(window).height() > newHeight + 40) {
            jQuery(this).css({
                height: newHeight,
                marginTop: 0 - (newHeight / 2),
                top: '50%'
            });
            jQuery(this).find('.adns_closeModalBtn').css({
                top: 18,
                right: 18
            });
        } else {
            jQuery(this).css({
                height: '100%',
                marginTop: 0,
                top: 0
            });
            if (jQuery(this).is('.adns_modal') && jQuery('body').is('.admin-bar')) {
                if (jQuery(window).width() <= 768) {
                    jQuery(this).find('.adns_closeModalBtn').css({
                        top: 18,
                        right: 6
                    });
                } else {
                    jQuery(this).find('.adns_closeModalBtn').css({
                        top: 18,
                        right: 10
                    });
                }
            } else {
                jQuery(this).find('.adns_closeModalBtn').css({
                    top: 10,
                    right: 10
                });
            }
        }

        if (jQuery(window).width() <= 1024) {
            jQuery(this).css({
                width: '100%',
                marginLeft: 0,
                left: 0
            });
        } else if (jQuery(window).height() > newHeight + 40) {
            jQuery(this).css({
                width: 1024,
                marginLeft: -512,
                left: '50%'
            });
        }

    });
    jQuery('#attractive-donation.adns_open img.adns_imageCurrent').each(function () {
        adns_onImageLoad(jQuery(this).get(0));
    });
    jQuery('#adns_bootstraped .adns-btn').each(function () {
        if (jQuery(this).width() >= jQuery(this).closest('#adns_bootstraped').width()) {
            jQuery(this).css({
                display: 'block'
            })
        } else {
            jQuery(this).css({
                display: 'inline-block'
            })
        }
    });

}

function adns_onImageLoad(img) {
    var imgWidth = jQuery(img).get(0).naturalWidth;
    var imgHeight = jQuery(img).get(0).naturalHeight;
    var ratio = imgWidth / imgHeight;
    if (imgHeight > parseInt(jQuery(img).css('max-height'))) {
        imgHeight = parseInt(jQuery(img).css('max-height'));
        imgWidth = imgHeight * ratio;
    }
    if (imgWidth > (jQuery(img).closest('#attractive-donation').width * 90) / 100) {
        imgWidth = (jQuery(img).closest('#attractive-donation').width * 90) / 100;
        imgHeight = imgWidth / ratio;
    }
    jQuery(img).closest('.adns_imageContainer').attr('data-width', imgWidth);
    jQuery(img).closest('.adns_imageContainer').attr('data-height', imgHeight);
    jQuery(img).closest('.adns_imageContainer').css({
        width: imgWidth,
        height: imgHeight,
        marginLeft: (jQuery(img).closest('#attractive-donation').width() - parseInt(imgWidth)) / 2
    });
    if (imgHeight > jQuery(img).closest('#attractive-donation').find('.adns_stepSpacer').height()) {
        jQuery(img).closest('#attractive-donation').find('.adns_stepSpacer').css('height', imgHeight);
    }

    jQuery(img).closest('#attractive-donation.adns_vertical').find('.adns_progressbarContainer').css({
        marginLeft: 0 - (imgWidth / 2 + 48)
    });
    jQuery(img).closest('#attractive-donation.adns_vertical').find('.adns_progressbar').css({
        height: parseInt(jQuery(img).closest('#attractive-donation').find('.adns_stepSpacer').height()) - 28
    });
}
function adns_formatPrice(price, donationID) {
    var donation = adns_getDonation(donationID);
    price = parseInt(price);
    var priceRep = price.toString();
    if (price.toString().length > 3) {
        priceRep = price.toString().substr(0, price.toString().length - 3) + donation.thousandsSeparator + price.toString().substr(price.toString().length - 3, 3);
    }
    return priceRep;

}
function adns_updateAmount(donationID) {
    var donation = adns_getDonation(donationID);
    var amount = donation.amount;
    amount = parseFloat(amount).toFixed(2);
    if (amount.toString().substr(amount.length - 2, 2) == '00') {
        amount = Math.round(amount);
    }
    if (donation.currencyPosition == 'left') {
        amount = donation.currency + adns_formatPrice(amount, donationID);
    } else {
        amount = adns_formatPrice(amount, donationID) + donation.currency;
    }
    var lastStepAmount = 0;
    var selectedStep = 0;
    var selectedTitle = "";
    jQuery.each(donation.steps, function () {
        if (parseFloat(this.amount) <= parseFloat(donation.amount) && parseFloat(this.amount) >= parseFloat(lastStepAmount)) {
            lastStepAmount = parseFloat(this.amount);
            selectedStep = this.id;
            selectedTitle = this.content;
        }
    });
    var previousStep = donation.currentStep;
    if (selectedStep != previousStep) {
        donation.currentStep = selectedStep;
        jQuery('#attractive-donation[data-donationid="' + donation.id + '"] .adns_step.adns_active').removeClass('adns_active');
        jQuery('#attractive-donation[data-donationid="' + donation.id + '"] .adns_step[data-stepid="' + selectedStep + '"]').addClass('adns_active');
    }
    var subLabel = '';
    if (jQuery('#attractive-donation[data-donationid="' + donation.id + '"]').is('[data-subscription]')) {
        subLabel = jQuery('#attractive-donation[data-donationid="' + donation.id + '"]').attr('data-sublabel');
    }
    jQuery('#attractive-donation[data-donationid="' + donation.id + '"] .adns_btnPayment').html(donation.btnPaymentTxt + ' ' + selectedTitle + ' (' + (amount + subLabel) + ')');
    jQuery('#attractive-donation[data-donationid="' + donation.id + '"] .adns_stripeScript').attr('data-description', donation.btnPaymentTxt + ' ' + selectedTitle + ' (' + (amount + subLabel) + ')');
    jQuery('#attractive-donation[data-donationid="' + donation.id + '"] .adns_stripeScript').attr('data-amount', parseFloat(donation.amount).toFixed(2).toString().replace('.', ''));


    jQuery('#attractive-donation[data-donationid="' + donation.id + '"] #adns_paypalForm [name="a3"]').val(parseInt(donation.amount));
    jQuery('#attractive-donation[data-donationid="' + donation.id + '"] #adns_paypalForm [name="amount"]').val(parseInt(donation.amount));
    jQuery('#attractive-donation[data-donationid="' + donation.id + '"] #adns_paypalForm [name="item_name"]').val(donation.btnPaymentTxt + ' ' + selectedTitle);

}
function adns_getDonation(donationID) {
    var rep = false;
    jQuery.each(adns_donations.donations, function () {
        if (this.id == donationID) {
            rep = this;
        }
    });
    return rep;
}
function adns_payPaypal(el) {
    if (jQuery(el).closest('#attractive-donation[data-donationid]').is('[data-subscription="true"]')) {
        jQuery(el).closest('#attractive-donation[data-donationid]').find('#adns_paypalForm [name="cmd"]').val('_xclick-subscriptions');
        jQuery(el).closest('#attractive-donation[data-donationid]').find(' #adns_paypalForm [name="amount"]').remove();
    } else {
        jQuery(el).closest('#attractive-donation[data-donationid]').find('#adns_paypalForm [name="cmd"]').val('_donations');
        jQuery(el).closest('#attractive-donation[data-donationid]').find(' #adns_paypalForm [name="no_note"]').remove();
        jQuery(el).closest('#attractive-donation[data-donationid]').find(' #adns_paypalForm [name="src"]').remove();
        jQuery(el).closest('#attractive-donation[data-donationid]').find(' #adns_paypalForm [name="a3"]').remove();
        jQuery(el).closest('#attractive-donation[data-donationid]').find(' #adns_paypalForm [name="p3"]').remove();
        jQuery(el).closest('#attractive-donation[data-donationid]').find(' #adns_paypalForm [name="t3"]').remove();
        jQuery(el).closest('#attractive-donation[data-donationid]').find(' #adns_paypalForm [name="bn"]').remove();
    }
    jQuery(el).closest('form').find('[type="submit"]').trigger('click');
}
function adns_toggleRecurring(donationID) {
    if (jQuery('#attractive-donation[data-donationid="' + donationID + '"] #adns_recurringCB').is(':checked')) {
        jQuery('#attractive-donation[data-donationid="' + donationID + '"]').attr('data-subscription', 'true');
    } else {
        jQuery('#attractive-donation[data-donationid="' + donationID + '"]').removeAttr('data-subscription');
    }
    adns_updateAmount(donationID);
}